Bug 99389 - mutt crashes with segfault while sorting by thread
Summary: mutt crashes with segfault while sorting by thread
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mutt   
(Show other bugs)
Version: 9
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL: http://www.csi.hu/mw/mutt-bug.tgz
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-18 15:32 UTC by Mate Wierdl
Modified: 2014-03-17 02:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-21 03:58:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mate Wierdl 2003-07-18 15:32:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
starting mutt with the maildir and muttrc provided, it crashes
with a segfault.  This happens during sorting by thread.



Version-Release number of selected component (if applicable):
mutt-1.4.1-1

How reproducible:
Always

Steps to Reproduce:
1. Download

http://www.csi.hu/mw/mutt-bug.tgz

and then

tar zxvfp mutt-bug.tgz
cd mutt-bug

2.  Start mutt with 

mutt -f Maildir -F mymuttrc


    

Actual Results:  Sorting mailbox...Segmentation fault

and the gnome terminal's foreground turns light blue. 

Expected Results:  see the two messages in the maildir.  And I do see them when
I do not load the rc file (which contains the single line

set sort=threads		# primary sorting method

)

Additional info:

1)
strace output of

strace -o strace.out mutt -f Maildir -F mymuttrc

is included in the tarball.

2)
If I start mutt from a script, then not only the terminal turns blue, but
echoing of my typing gets turned off too.  Try running the script

./load_mutt.sh

included in the tarball.

3)
I sometimes saw mutt crash when subject line was long/weird, but
I have not  had time to investigate at the time.

Comment 1 Mate Wierdl 2003-07-21 03:06:28 UTC
The problem does not occur when I compile from sources with no arguments to 
./configure.  But as soon as I specify --with-slang, then I see the problem 
again.  It does not matter if I use the 1.4.1 or 1.5.4 sources.

Comment 2 Bill Nottingham 2003-07-21 03:11:08 UTC
What happens if you use the rawhide slang packages (cf: bug 97216)?
What locale are you running in, if any?

Comment 3 Mate Wierdl 2003-07-21 03:58:26 UTC
Indeed, installing the slang packages from rawhide, and recompiling 
mutt from sources (both 1.4 or 1.5.4) fixes the problem.

LC_TYPE is not set for me, and I have

cat /etc/sysconfig/i18n
LANG="en_US"

Hope mutt/slang in RH beta will be OK.  Please test with 

http://www.csi.hu/mw/mutt-bug.tgz



Comment 4 Bill Nottingham 2003-07-21 04:00:52 UTC
Yeah, that test works fine for me with current code, that's why I immediately
thought of the slang problem.


Note You need to log in before you can comment on or make changes to this bug.